import { Textract } from 'aws-sdk';
import WordBlock from '../model/WordBlockNode';
import { BlockParser, BlockIdParser, GeometryParser } from './Factory';
export default class WordParser implements BlockParser<WordBlock> {
    private readonly geometryParser;
    private readonly blockIdParser;
    constructor(geometryParser: GeometryParser, blockIdParser: BlockIdParser);
    process(word: Textract.Block): WordBlock;
}
