"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Geometry_1 = require("../model/Geometry");
function geometryParser(block) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    var originalBox = (_b = (_a = block.Geometry) === null || _a === void 0 ? void 0 : _a.BoundingBox, (_b !== null && _b !== void 0 ? _b : {}));
    var originalPolygon = (_d = (_c = block.Geometry) === null || _c === void 0 ? void 0 : _c.Polygon, (_d !== null && _d !== void 0 ? _d : []));
    var box = new Geometry_1.BoundaryBox((_e = originalBox.Top, (_e !== null && _e !== void 0 ? _e : -1)), (_f = originalBox.Left, (_f !== null && _f !== void 0 ? _f : -1)), (_g = originalBox.Width, (_g !== null && _g !== void 0 ? _g : -1)), (_h = originalBox.Height, (_h !== null && _h !== void 0 ? _h : -1)));
    var polygon = originalPolygon.map(function (point) { var _a, _b; return new Geometry_1.Point((_a = point.X, (_a !== null && _a !== void 0 ? _a : -1)), (_b = point.Y, (_b !== null && _b !== void 0 ? _b : -1))); });
    return new Geometry_1.Geometry(box, polygon);
}
exports.geometryParser = geometryParser;
function blockIdParser(block) {
    var _a;
    return _a = block.Id, (_a !== null && _a !== void 0 ? _a : 'unknown');
}
exports.blockIdParser = blockIdParser;
