import { Block, TreeNode } from '../types';
export default class BlockNode<P extends Block, C extends Block> implements TreeNode<P, C> {
    private readonly childList;
    private parentNode;
    constructor(childList: C[]);
    parent(): P | undefined;
    setParant(parent: P): void;
    children(): C[];
    hasChild(item: C): boolean;
}
