import BlockNode from './BlockNode';
import { Geometry } from './Geometry';
import { LineBlock, PageBlock, WordBlock, BlockType } from '../types';
import WordBlockNode from './WordBlockNode';
export default class LineBlockNode extends BlockNode<PageBlock, WordBlock> implements LineBlock {
    readonly id: string;
    readonly geometry: Geometry;
    readonly text: string;
    readonly confidence: number;
    readonly blockType: BlockType.Line;
    constructor(id: string, geometry: Geometry, text: string, confidence: number, words: WordBlockNode[]);
}
