import { PageBlock, LineBlock, Document, BlockType } from '../types';
import BlockNode from './BlockNode';
import { Geometry } from './Geometry';
import LineBlockNode from './LineBlockNode';
export default class PageBlockNode extends BlockNode<Document, LineBlock> implements PageBlock {
    readonly id: string;
    readonly geometry: Geometry;
    readonly blockType: BlockType.Page;
    constructor(id: string, geometry: Geometry, lines: LineBlockNode[]);
}
