"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Enum used to identify the different types of block that can
 * be in the returned tree
 */
var BlockType;
(function (BlockType) {
    /** Indicates a Word Block */
    BlockType["Word"] = "WORD";
    /** Indicates a Line Block */
    BlockType["Line"] = "LINE";
    /** Indicates a Page Block */
    BlockType["Page"] = "PAGE";
    /** Indicates a Document Block */
    BlockType["Document"] = "DOCUMENT";
})(BlockType = exports.BlockType || (exports.BlockType = {}));
