import { Textract } from 'aws-sdk';
import { ParserFactory, DocumentFactory } from './Factory';
import PageBlockNode from '../model/PageBlockNode';
import { Document } from '../types';
export declare class DocumentParser implements DocumentFactory {
    private readonly pageParserFactory;
    constructor(pageParserFactory: ParserFactory<PageBlockNode>);
    process(input: Textract.DetectDocumentTextResponse): Document;
}
