import { DocumentMetadata, Blocks, Block, PageBlock, Document, BlockType } from '../types';
import BlockNode from './BlockNode';
import PageBlockNode from './PageBlockNode';
export default class DocumentNode extends BlockNode<Block, PageBlock> implements Document {
    readonly blockType: BlockType.Document;
    readonly metadata: DocumentMetadata;
    constructor(pages: Blocks<PageBlockNode>);
}
