"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Class represting the position and shape of the recognised block.
 */
var Geometry = /** @class */ (function () {
    /** @ignore */
    function Geometry(boundaryBox, polygon) {
        this.boundaryBox = boundaryBox;
        this.polygon = polygon;
    }
    return Geometry;
}());
exports.Geometry = Geometry;
/**
 * Class that defines an axis aligned rectangular area on the processed document.
 */
var BoundaryBox = /** @class */ (function () {
    /** @ignore */
    function BoundaryBox(top, left, width, height) {
        this.top = top;
        this.left = left;
        this.width = width;
        this.height = height;
    }
    return BoundaryBox;
}());
exports.BoundaryBox = BoundaryBox;
/**
 * Class that represents a point position on the processed document
 */
var Point = /** @class */ (function () {
    /** @ignore */
    function Point(x, y) {
        this.x = x;
        this.y = y;
    }
    return Point;
}());
exports.Point = Point;
