import { Geometry } from './Geometry';
import { Block, LineBlock, WordBlock, BlockType } from '../types';
import BlockNode from './BlockNode';
export default class WordBlockNode extends BlockNode<LineBlock, Block> implements WordBlock {
    readonly id: string;
    readonly geometry: Geometry;
    readonly text: string;
    readonly confidence: number;
    readonly blockType: BlockType.Word;
    constructor(id: string, geometry: Geometry, text: string, confidence: number);
}
